using CoreLibrary;
using ConsoleApp;



Console.OutputEncoding = System.Text.Encoding.UTF8;

ReglesClassiques partie = new ReglesClassiques();

Utils.AfficherTitre();

Utils.AfficherTitre("Joueurs");
string joueur1 = Utils.SaisirNom();
string joueur2 = Utils.SaisirNom();
Utils.AfficherSeparateur();

partie.AjouterJoueur(joueur1);
partie.AjouterJoueur(joueur2);

partie.CommencerLaPartie();

while (!partie.EstTerminee())
{
    Console.WriteLine(partie.JoueurCourant().Nom);
    Console.WriteLine();

    Utils.DessinerPlateau(partie.JoueurCourant().Plateau.Grille(), partie.JoueurCourant().Plateau.Indicateurs());
    Console.WriteLine();

    Code code = partie.GenererCode();

    Utils.ChoixCode(ref code);

    partie.JoueurCourant().Plateau.AjouterCode(code);

    partie.PasserLaMain();

    Utils.AfficherSeparateur();
}

Console.WriteLine("La partie est maintenant termine !");

Joueur[] gagnants = partie.Gagnants().ToArray();
Joueur[] perdants = partie.Perdants().ToArray();



if (gagnants.Length > 1)
{
    Console.WriteLine("C'est une galit !");
}
else if (gagnants.Length == 1)
{
    Console.WriteLine($"C'est une victoire de {gagnants[0].Nom}." +
        $"");
}
else
{
    Console.WriteLine("C'est une dfaite...");
}
