﻿namespace CoreLibrary
{
    public interface IRegles
    {
        string Nom { get; }

        int TourMaximum { get; }
        int TailleCodeMaximum { get; }

        int NbJoueurs { get; }
        int NbJoueursMaximum { get; }

        void AjouterJoueur(string nom);
        Joueur JoueurCourant();
        void PasserLaMain();

        Code GenererCode();

        void CommencerLaPartie();
        bool EstTerminee();

        IEnumerable<Joueur> Gagnants();
        IEnumerable<Joueur> Perdants();
    }
}
